

       /*
DEVELOPING GAME IN JAVA 

Caracteristiques

Editeur : NEW RIDERS 
Auteur : BRACKEEN 
Parution : 09 2003 
Pages : 972 
Isbn : 1-59273-005-1 
Reliure : Paperback 
Disponibilite : Disponible a la librairie 
*/

import java.io.File;

import javax.sound.midi.InvalidMidiDataException;

import javax.sound.midi.MidiSystem;
import javax.sound.midi.MidiUnavailableException;
import javax.sound.midi.MetaMessage;
import javax.sound.midi.MetaEventListener;

import javax.sound.midi.Sequence;
import javax.sound.midi.Sequencer;

import database.DbSettings;

import file.FileBrowser;

import java.net.URL;


/**
 * An example that plays a Midi sequence. First, the sequence is played once
 * with track 1 turned off. Then the sequence is played once with track 1 turned
 * on. Track 1 is the drum track in the example midi file.
 */
public class MidiPlayer implements MetaEventListener {

	private Sequencer sequencer;
	private Sequence sequence;
	private boolean pause;
	
  	public void play(String song) throws MidiUnavailableException, InvalidMidiDataException {
  	  

	    // load a sequence
  		try{
  			if (Options.isOnline()){  // From URL
  				//sequence = MidiSystem.getSequence(new URL("http://89.128.145.208/piano/songs/campanitas.mid"));

  				song = song.replaceAll(" ", "%20");
				URL u = new URL( DbSettings.getUrl() +File.separator+ FileBrowser.getFolderSongs()+File.separator+ song +".mid");
  				
  				sequence = MidiSystem.getSequence(u);
  			}
  			else{ //From FILE
  				// From file Sequence sequence = MidiSystem.getSequence(new FileInputStream(song));
  		    
  				this.sequence = MidiSystem.getSequence( new File(FileBrowser.getFolderSongs()+ File.separator+song+".mid"));
  			}
  		   
  		    // Create a sequencer for the sequence
  		    this.sequencer = MidiSystem.getSequencer();
  		    this.sequencer.open();
  		    this.sequencer.setSequence(sequence);

  		    // Start playing
  		   
  		    sequencer.start();
  		
  		}
  		catch(Exception e){
  			System.out.println("Error MidiPlayer.play " +e);
  		}
  	}

  	public int gettempo(){
  		int tempo = 0;
  		//sequencer = player.getSequencer();
  		tempo = (int)sequencer.getTempoInBPM();
  		//System.out.println("midiplayer->gettempo"+ tempo);
  		return tempo;
  	}

  	public void init(String song) throws MidiUnavailableException, InvalidMidiDataException {
  	// load a sequence
  		try{
  			if (Options.isOnline()){  // From URL
  				//sequence = MidiSystem.getSequence(new URL("http://89.128.145.208/piano/songs/campanitas.mid"));
  				song = song.replaceAll(" ", "%20");
				URL u = new URL( DbSettings.getUrl() +File.separator+ FileBrowser.getFolderSongs()+File.separator+ song +".mid");
  				
  				sequence = MidiSystem.getSequence(u);

  			}
  			else{ //From FILE
  				// From file Sequence sequence = MidiSystem.getSequence(new FileInputStream(song));
  		    
  				this.sequence = MidiSystem.getSequence( new File(FileBrowser.getFolderSongs()+ File.separator+song+".mid"));
  			}
  		   
  		    // Create a sequencer for the sequence
  		    this.sequencer = MidiSystem.getSequencer();
  		    this.sequencer.open();
  		    this.sequencer.setSequence(sequence);

  		    // Start playing
  		   // sequencer.start();
  		
  		}
  		catch(Exception e){
  			System.out.println("Error MidiPlayer.init " +e);
  		}
  		
  		/*
	    // load a sequence
 	   Sequence sequence = player.getSequence(song);
 	
 	    // play the sequence
 	   // player.play(sequence, false);
 	
 	    // turn off the drums
 	    //System.out.println("Playing (without drums)...");
 	    sequencer = player.getSequencer();
 	    //sequencer.setTrackMute(DRUM_TRACK, true);
 	   sequencer.addMetaEventListener(this);*/
  	}

	public void stop() {
	    if (sequencer != null && sequencer.isOpen()) {
	      sequencer.stop();
	      sequencer.setMicrosecondPosition(0);
	    }
	}
	public boolean isPaused() {
		return this.pause;
	}
	public void setPaused(boolean pause) {
	    if (this.pause != pause && sequencer != null && sequencer.isOpen()) {
	      this.pause = pause;
	      if (pause) {
	        sequencer.stop();
	      } else {
	        sequencer.start();
	      }
	    }
	}
	public Sequencer getSequencer() {
		return sequencer;
	}
	public void close() {
	    if (sequencer != null && sequencer.isOpen()) {
	      sequencer.close();
	    }
	}

	public void meta(MetaMessage event) {
	    /*if (event.getType() == END_OF_TRACK_MESSAGE) {
	      if (sequencer != null && sequencer.isOpen() && loop) {
	        sequencer.start();
	      }
	    }*/
	}



}

           