
import java.io.File;
import java.io.IOException;
import java.util.ResourceBundle;

import javax.sound.midi.InvalidMidiDataException;
import javax.sound.midi.MidiUnavailableException;

import database.DbScores;
import database.DbSongs;
import database.TableScores;
import database.TableSongs;

import file.FileScores;
import file.FileSongs;

import sdljava.SDLException;
import sdljava.ttf.SDLTTF;
import sdljava.video.SDLSurface;

public class SelectSong {

	//---------------------------------------------------------    	  	
	//DECLARAR VARIABLES
	//---------------------------------------------------------

		private TableScores[] scores;
		private Piano piano ;
		private boolean end ; //determina cuando salir del programa

		private String song1;
		private String song2;
		private String song3;
		
		private FileScores filescores;
		private FileSongs filesongs;
		private TableSongs songs;
		
		private DbSongs dbsongs;
		private DbScores dbscores;
		//private Language language ;

		private Text text;
		
		private int maxsongs;
		
		private Text textArial15;
		private Text textArabica10;
		private Text textArabica8;
		private Text textCalculator20;
		private Text textCalculator40;
		
		private Text textCalculator15;
	
		private Note[] listNote ; //objetos para las notas
		
		private CFrame frameNoteYellow;
		private CFrame frameNotePurple;
		private CFrame frameNotePink;
		private CFrame frameNoteRed;
		private CFrame frameNoteOrange;
		private CFrame frameNoteBlue;
		
		private CFrame frameWave1n1;
		private CFrame frameWave1n2;
		private CFrame frameWave1n3;
		private CFrame frameWave1n4;
		private CFrame frameWave1n5;
		private CFrame frameWave2n1;
		private CFrame frameWave2n2;
		private CFrame frameWave2n3;
		private CFrame frameWave2n4;
		private CFrame frameWave2n5;
		private CFrame frameWave3n1;
		private CFrame frameWave3n2;
		private CFrame frameWave3n3;
		private CFrame frameWave3n4;
		private CFrame frameWave3n5;
		
		private CFrame frameBackgroundOptions;
		private CSprite spriteBackgroundOptions;
		
		private CFrame frameBackgroundSelectSong;
		private CSprite spriteBackgroundSelectSong;
		
		private 	CFrame frameBackgroundMain;
		private CSprite spriteBackgroundMain;
		
		private CFrame frameBackgroundNotebook;
		private CSprite spriteBackgroundNotebook;
		
		private CFrame frameHand;
		private CSprite spriteHand;
		
		private CSprite spriteWave;
		
		private CFrame frameNoteBorder;
		
		private CFrame frameKey;
		private CFrame frameKeyPush;
		private CFrame frameKeyblack;
		private CFrame frameKeyblackPush;
		private CFrame frameLine;
		
		private CFrame frameOk;
		private CFrame frameBad;
		private CFrame framePerfect;
		
		private CFrame frameStaff;
		private CSprite spriteStaff;
		
		private CFrame frameCrotchet;
		private CSprite spriteCrotchet;
		
		private CFrame frameNoteStaffwhole;
		private CFrame frameNoteStaffhalf;
		private CFrame frameNoteStaffquarter;
		private CFrame frameNoteStaffeighth;
		private CFrame frameNoteStaffsixteenth;

		private CFrame frameNoteStaffAuxLine;
		
		private CSprite spriteNoteStaff;
		
		private CFrame frameCrotchetBorder;
		private CSprite spriteCrotchetBorder;
		
		private CSprite spriteTemp ;
		private 	CSprite [] spritePrecision;
		
		private CSprite spriteNoteStaffAuxLine;
		
		private CSprite spriteNoteBorder;
		
		private CSprite spriteLine;
		private CSprite spriteNote;
		private 	CSprite spriteKey;
		private CSprite spriteKeyblack;
		
		private CFrame framebordercircleoff;
		private CFrame framebordercircleon;
		private CFrame frameborderoff;
		private CFrame frameborderon;
		private CFrame framebuttoncircle;
		private CFrame framebuttonoff;
		private 	CFrame framebuttonon;
		
		private 	CSprite spritebordercircle;
		private CSprite spriteborder;
		private 	CSprite spritebutton;
		private CSprite spritebuttoncircle;
		
		private Midi[] midi;
		
		private  String path;
	    
		private  int maxtracks;
		private   int maxnotes;

		private   int maxprecision;
	    
		private   int numfile;
	    

		private   MidiPlayer player;

//		private   String [] scores = new String[10];

		private int maxscores;
		
		private Event event;
		 public void initsprites() throws SDLException, IOException{
				
			//init sprites

					framebordercircleoff= new CFrame();
					framebordercircleon= new CFrame();
					frameborderoff= new CFrame();
					frameborderon= new CFrame();
					framebuttoncircle= new CFrame();
					framebuttonoff= new CFrame();
					framebuttonon= new CFrame();
					
					spritebordercircle = new CSprite();
					spriteborder = new CSprite();
					spritebutton = new CSprite();
					spritebuttoncircle = new CSprite();
					
					frameBackgroundNotebook = new CFrame();
					spriteBackgroundNotebook = new CSprite() ;
					
					frameBackgroundOptions = new CFrame();
					spriteBackgroundOptions = new CSprite();
					
					frameBackgroundSelectSong = new CFrame();
					spriteBackgroundSelectSong = new CSprite();
					
					frameBackgroundMain = new CFrame();
					spriteBackgroundMain = new CSprite();
					
					frameHand = new CFrame();
					spriteHand = new CSprite();
					
					frameWave1n1 = new CFrame();
					frameWave1n2= new CFrame();
					frameWave1n3= new CFrame();
				    frameWave1n4= new CFrame();
					frameWave1n5= new CFrame();
				    frameWave2n1= new CFrame();
					frameWave2n2= new CFrame();
					frameWave2n3= new CFrame();
					frameWave2n4= new CFrame();
					frameWave2n5= new CFrame();
					frameWave3n1= new CFrame();
					frameWave3n2= new CFrame();
					frameWave3n3= new CFrame();
					frameWave3n4= new CFrame();
					frameWave3n5= new CFrame();
					
					spriteWave = new CSprite();
					
					frameNoteYellow = new CFrame();
				    frameNotePurple = new CFrame();
					frameNotePink= new CFrame();
					frameNoteRed= new CFrame();
					frameNoteOrange= new CFrame();
					frameNoteBlue= new CFrame();
				    
				    frameKey = new CFrame();
				    frameKeyblack = new CFrame();
				    
				    frameKeyPush = new CFrame();
				    frameKeyblackPush = new CFrame();
				    
				    frameLine = new CFrame();
				    
				    frameNoteBorder = new CFrame();
				    
					 frameOk= new CFrame();
					 frameBad= new CFrame();
					 framePerfect= new CFrame();
					 
					 frameCrotchet = new CFrame();
					 spriteCrotchet = new CSprite();
					 
					 frameCrotchetBorder = new CFrame();
					 spriteCrotchetBorder = new CSprite();
					 	 
					frameNoteStaffwhole = new CFrame();
					frameNoteStaffhalf = new CFrame();
					frameNoteStaffquarter = new CFrame();
					frameNoteStaffeighth = new CFrame();
					frameNoteStaffsixteenth = new CFrame();

					frameNoteStaffAuxLine = new CFrame();
					
					spriteNoteStaff  =new CSprite();
					 
					 frameStaff = new CFrame();
				    
					 spriteStaff = new CSprite();
					 
					 spritePrecision = new CSprite[10];

					spriteTemp =  new CSprite();
					 
				    spriteNoteBorder = new CSprite();
				    
				    spriteLine = new CSprite();
				    spriteNote= new CSprite();
				    spriteKey = new CSprite();
				    spriteKeyblack = new CSprite();
				    
				    spriteNoteStaffAuxLine = new CSprite();
				    
					framebordercircleoff.load("sprites"+  File.separator + "bordercircleoff.png");
					framebordercircleon.load("sprites"+  File.separator + "bordercircleon.png");
					frameborderoff.load("sprites"+  File.separator + "borderoff.png");
					frameborderon.load("sprites"+  File.separator + "borderon.png");
					framebuttonoff.load("sprites"+  File.separator + "buttonoff.png");
					framebuttonon.load("sprites"+  File.separator + "buttonon.png");
					framebuttoncircle.load("sprites"+  File.separator + "buttoncircle.png");
					
					spritebordercircle.addframe(framebordercircleoff);
					spritebordercircle.addframe(framebordercircleon);
					spriteborder.addframe(frameborderoff);
					spriteborder.addframe(frameborderon);
					spritebutton.addframe(framebuttonoff);
					spritebutton.addframe(framebuttonon);
					spritebuttoncircle.addframe(framebuttoncircle);
				    
					frameWave1n1.load("sprites"+  File.separator + "waves/wave1-1.png");
					frameWave1n2.load("sprites"+  File.separator + "waves/wave1-2.png");
					frameWave1n3.load("sprites"+  File.separator + "waves/wave1-3.png");
					frameWave1n4.load("sprites"+  File.separator + "waves/wave1-4.png");
					frameWave1n5.load("sprites"+  File.separator + "waves/wave1-5.png");
					
					frameWave2n1.load("sprites"+  File.separator + "waves/wave2-1.png");
					frameWave2n2.load("sprites"+  File.separator + "waves/wave2-2.png");
					frameWave2n3.load("sprites"+  File.separator + "waves/wave2-3.png");
					frameWave2n4.load("sprites"+  File.separator + "waves/wave2-4.png");
					frameWave2n5.load("sprites"+  File.separator + "waves/wave2-5.png");
					
					frameWave3n1.load("sprites"+  File.separator + "waves/wave3-1.png");
					frameWave3n2.load("sprites"+  File.separator + "waves/wave3-2.png");
					frameWave3n3.load("sprites"+  File.separator + "waves/wave3-3.png");
					frameWave3n4.load("sprites"+  File.separator + "waves/wave3-4.png");
					frameWave3n5.load("sprites"+  File.separator + "waves/wave3-5.png");
					
					frameBackgroundSelectSong.load("sprites"+  File.separator + "pianoselectsong.png");
					spriteBackgroundSelectSong.addframe(frameBackgroundSelectSong);
					
					frameBackgroundMain.load("sprites"+  File.separator + "pianointro.png");
					spriteBackgroundMain.addframe(frameBackgroundMain);
					
					frameBackgroundOptions.load("sprites"+  File.separator + "pianooptions.png");
					spriteBackgroundOptions.addframe(frameBackgroundOptions);
					
					frameBackgroundNotebook.load("sprites"+  File.separator + "notebook.png");
					spriteBackgroundNotebook.addframe(frameBackgroundNotebook);
					
					frameHand.load("sprites"+  File.separator + "hand.png");
					spriteHand.addframe(frameHand);
					
					spriteWave.addframe(frameWave1n1);
					spriteWave.addframe(frameWave1n2);
					spriteWave.addframe(frameWave1n3);
					spriteWave.addframe(frameWave1n4);
					spriteWave.addframe(frameWave1n5);
				    
					spriteWave.addframe(frameWave2n1);
					spriteWave.addframe(frameWave2n2);
					spriteWave.addframe(frameWave2n3);
					spriteWave.addframe(frameWave2n4);
					spriteWave.addframe(frameWave2n5);
					
					spriteWave.addframe(frameWave3n1);
					spriteWave.addframe(frameWave3n2);
					spriteWave.addframe(frameWave3n3);
					spriteWave.addframe(frameWave3n4);
					spriteWave.addframe(frameWave3n5);
				    
				    
				    frameCrotchet.load("sprites"+  File.separator + "crotchet.png");
				    spriteCrotchet.addframe(frameCrotchet);
				    
					frameNoteStaffwhole.load("sprites"+  File.separator + "whole.png");
					frameNoteStaffhalf.load("sprites"+  File.separator + "half.png");
					frameNoteStaffquarter.load("sprites"+  File.separator + "quarter.png");
					frameNoteStaffeighth.load("sprites"+  File.separator + "eighth.png");
					frameNoteStaffsixteenth.load("sprites"+  File.separator + "sixteenth.png");
					
					frameNoteStaffAuxLine.load("sprites"+  File.separator + "auxline.png");
					
					spriteNoteStaff.addframe(frameNoteStaffwhole);
					spriteNoteStaff.addframe(frameNoteStaffhalf);
					spriteNoteStaff.addframe(frameNoteStaffquarter);
					spriteNoteStaff.addframe(frameNoteStaffeighth);
					spriteNoteStaff.addframe(frameNoteStaffsixteenth);
					
					spriteNoteStaffAuxLine.addframe(frameNoteStaffAuxLine);
				    
				    frameCrotchetBorder.load("sprites"+  File.separator + "crotchetborder.png");
				    spriteCrotchetBorder.addframe(frameCrotchetBorder);
				    
				    frameStaff.load("sprites"+  File.separator + "staff.png");
				    spriteStaff.addframe(frameStaff);
				    
				    frameNoteYellow.load("sprites"+  File.separator + "noteyellow.png");
				    frameNotePurple.load("sprites"+  File.separator + "notepurple.png");
				    frameNotePink.load("sprites"+  File.separator + "notepink.png");
				    frameNoteRed.load("sprites"+  File.separator + "notered.png");
				    frameNoteOrange.load("sprites"+  File.separator + "noteorange.png");
				    frameNoteBlue.load("sprites"+  File.separator + "noteblue.png");
				    
				    
				    spriteNote.addframe(frameNoteYellow);
				    spriteNote.addframe(frameNotePurple);
				    spriteNote.addframe(frameNoteRed);
				    spriteNote.addframe(frameNotePink);
				    spriteNote.addframe(frameNoteOrange);
				    spriteNote.addframe(frameNoteBlue);
				    
				   
				    
					 frameOk.load("sprites"+  File.separator + "ok.png");
					 frameBad.load("sprites"+  File.separator + "bad.png");
					 framePerfect.load("sprites"+  File.separator + "perfect.png");
					 
					 spriteTemp.addframe(frameOk);
					 spriteTemp.addframe(frameBad);
					 spriteTemp.addframe(framePerfect);
				    
				    for (int i=0;i<10;i++){

				    	spritePrecision[i] = new CSprite();
				    	
				    	spritePrecision[i].addframe(frameOk);
				    	spritePrecision[i].addframe(frameBad);
				    	spritePrecision[i].addframe(framePerfect);
				    }
					 
				    frameKey.load("sprites"+  File.separator + "key.png");
				    frameKeyPush.load("sprites"+  File.separator + "keypush.png");
				    spriteKey.addframe(frameKey);
				    spriteKey.addframe(frameKeyPush);
				    
				    frameKeyblack.load("sprites"+  File.separator + "keyblack.png");
				    frameKeyblackPush.load("sprites"+  File.separator + "keyblackpush.png");
				    spriteKeyblack.addframe(frameKeyblack);
				    spriteKeyblack.addframe(frameKeyblackPush);
				    
				    frameLine.load("sprites"+  File.separator + "line.png");
				    spriteLine.addframe(frameLine);
				    
				    frameNoteBorder.load("sprites"+  File.separator + "noteborder.png");
				    spriteNoteBorder.addframe(frameNoteBorder);

				}
		 public void initgame() throws Exception{ //inicializa
				
			 event = new Event();
			 scores = new TableScores[5];
			 
			 filescores = new FileScores();
			 filesongs = new FileSongs();
			 songs = new TableSongs();
				
				
				if (Options.isOnline()){
					dbsongs = new DbSongs();
					 dbscores = new DbScores();
				}
				
					
				player = new MidiPlayer();
		
				end = false;

		  	    numfile = 1; 

			   // MixChunk chunk= SDLMixer.loadWAV("sound/wav.wav");
			   
			    text = new Text();
			    text.init("fonts"+  File.separator + "FreeSerif.ttf");
			    
			    textCalculator20 = new Text();
			    textCalculator20.init("fonts"+  File.separator + "calculator.ttf");
			    textCalculator20.setcolor(47, 131, 43);
			    
			    textCalculator40 = new Text();
			    textCalculator40.init("fonts"+  File.separator + "calculator.ttf",40);
			    textCalculator40.setcolor(47, 131, 43);
			    
			    textCalculator15 = new Text();
			    textCalculator15.init("fonts"+  File.separator + "calculator.ttf",15);
			    textCalculator15.setcolor(47, 131, 43);
			    
			    textArial15 = new Text();
			    textArial15.init("fonts"+  File.separator + "arial.ttf",15);
			    textArial15.setcolor(255, 255,255);
			    
			    textArabica10 = new Text();
			    textArabica10.init("fonts"+  File.separator + "arabica.ttf",10);

			    textArabica10.setcolor(87, 88,90);
			    
			    textArabica8 = new Text();
			    textArabica8.init("fonts"+  File.separator + "arabica.ttf",8);

			    textArabica8.setcolor(87, 88,90);
			   

			}
		 public void initsong(String song) throws InvalidMidiDataException, IOException, MidiUnavailableException{
				
				piano.start();
				
				 //path = "/home/rephus/workspace/prueba/music/";
				    //midi.parseMidi("/home/rephus/workspace/prueba/music/prueba.mid");
				   
				//path = "music/";
				
				path = "music" + File.separator;
			    for (int i=0;i<maxtracks;i++){
			    	midi[i] = new Midi();
			    	midi[i].initFile(path + song);
			    }
			    
			   // tempo = midi[0].gettempo() /120;
			   // System.out.print(tempo);
			
			    for (int i=0;i<maxnotes;i++){

			    	listNote[i].setinactive();
			    }
			    
			    for (int i=0;i<maxprecision;i++){

			    	spritePrecision[i].setinActive();
			    }
			    
			}
		
		public void draw(SDLSurface screen) throws SDLException, IOException, MidiUnavailableException, InvalidMidiDataException{
			
			try{
		    	spriteBackgroundSelectSong.draw(screen);
		    	//for(int i=0;i<filebrowser.getnumfiles("music");i++){
		    
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Cancion"), screen, 90, 60); //song
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Dificultad"), screen, 90, 120); //dificult
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Cancionanterior"), screen, 170,240); //previous song
		    	
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Siguientecancion"), screen, 320,240); //next song
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Usuario"), screen, 440,240); //usuario
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Puntuacion"), screen, 510,240); //puntuación
		    	textArabica10.drawtext(ResourceBundle.getBundle("Language").getString("Puntuacion"), screen, 630,60); //puntuación
		
				String stringname = new String();
				
			if (song2 != null ){

				//i-1
				textCalculator20.drawtext(String.valueOf(numfile-1),screen,170,180);
	    		 
				stringname = song2;
				
				if (stringname.length() > 14 ) {
					stringname = stringname.substring(0,10);
				}
	   			else{
	   				stringname = stringname.substring(0,stringname.length());
	   			}
	   			
				textCalculator20.drawtext(stringname ,screen, 200, 180); 
	   			
			}
			if (song3 !=null){
				textCalculator20.drawtext(String.valueOf(numfile+1),screen,170+130,180);
	    		 stringname =song3;
	    		 
	    		 
	   			if (stringname.length() > 14 ) {
					stringname = stringname.substring(0,10);
				}
	   			else{
	   				stringname = stringname.substring(0,stringname.length());
	   			}
				textCalculator20.drawtext(stringname ,screen, 200+130, 180); 
				
			}
			//song1
				textCalculator40.drawtext(String.valueOf(numfile),screen,170,60);
				stringname = song1;
			
				if (stringname.length() > 17 ) {
					stringname = stringname.substring(0,13);
				}
				else{
					stringname = stringname.substring(0,stringname.length());
				}
				
					textCalculator40.drawtext(stringname ,screen, 200, 60); 
					textCalculator20.drawtext(String.valueOf(player.gettempo()),screen,360,130);
	
				}
			catch(Exception e){
				//textCalculator40.drawtext(stringname ,screen, 200, 60); 

			}
			
			//textCalculator20.drawtext(String.valueOf(midi[0].getDurationTotal()),screen,400,130);
			//text.drawtext(filebrowser.getfile(FileBrowser.getFolder(),i), screen, 10, i*20); 
			//System.out.println(filebrowser.getfile(i));
		  	
	    //	}
			
			int i=0;
			
			//System.out.println("longitud "+maxscores);
			//System.out.println("user "+scores[0].getUser()+" score "+scores[0].getScore() );

			//if (true==false)
			while (i < maxscores){
			
	    		//System.out.println(scores[i].getUser());
			//	System.out.println("user "+scores[i].getUser()+" score "+scores[i].getScore() );

    			textCalculator20.drawtext(scores[i].getUser() ,screen, 440, 65+(i)*35); 

	    		textCalculator20.drawtext(" "+ scores[i].getScore() ,screen,550, 65+(i)*35); 
	   
	    		i++;
				
			}
			

			/*
	    	scores = score.readscore(filebrowser.getfile(FileBrowser.getFolderSongs(),numfile));
	    	
	    	//text.setcolor(255, 255, 255);
	  
	    	for (int i=0 ; i<=score.getmaxScore()*2 - 1;i++){
	    		
	    		if (i % 2 == 0){ //usuarios
	    			//textCalculator.setZoom(15);
	    			if (scores[i].length() > 9 ) {
	    				textCalculator15.drawtext(scores[i].substring(0,9) ,screen, 440, 65+(i)*16);
	    			}
	    			else{
	    				textCalculator15.drawtext(scores[i] ,screen, 440, 65+(i)*16); 
	    			}
	    			
	    			//text.drawtext(scores[i],screen,400,i*20);
	    		}
	    		
	    		else{ //puntuacion
	    			
	    			textCalculator20.drawtext(scores[i] ,screen,510, 65+(i-1)*16); 
	   
	    			//text.drawtext(scores[i],screen,450,i*20);
	    		}
	    	}*/
	    	//textCalculator20.setZoom(20);

	    	text.setcolor(255, 255, 255);
	    	screen.flip(); //Pintamos la pantalla
	    	   
		  	//screen.fillRect(0); //borramos la pantalla anterior
			
		}
		
	public void keyboard(SDLSurface screen){
			
		int sym = 0;
		event.setEvent();
		
		if (event.isPressed()){
				
			
			sym = event.getSym();
			
			switch (sym){
			
		    	case 27 : 
		    		
		    		this.end = true;
		    		player.stop();
		    		
		    			//player.close();
		    		break;
	    	
		    	case 273:
		    		if (numfile > 1 ){
		    			
		    			numfile--;
		    			this.updatesongs();
		    			
		    			//player.stop();
		    			//player = null;
		    			player.close();
		    			//player = new MidiPlayer();
			    		try {
			    			player.play(  song1);
			    		}
		    			catch(Exception e){
		    				
		    			}

		    		}
		    		break;
		    	case 274:
		    		if (numfile < maxsongs){
		    				numfile++;
		    				
		    				this.updatesongs();
		    				
		    				//player.stop();
		    				player.close();
		    	    		try {
				    			player.play(  song1);
				    		}
			    			catch(Exception e){
			    				
			    			}
			    			
		    		}
		    		break;
		    	case 13:
		    		
					player.stop();
					//player.close();
		    		
		    		Play play = new Play();
		    		play.go(screen,song1);

		    		try {
		    			player.play(  song1);
		    		}
	    			catch(Exception e){
	    				
	    			}

		    		break;
	    	}
		}
	}
		public void updatesongs(){
			
			//System.out.println("inicio consulta cancinoes");
			if(maxsongs > 0) {
				if (Options.isOnline()){
					songs = dbsongs.getSongNumber(numfile);
				}
				else{
					songs = filesongs.getSongNumber(numfile);
				}
    			
    			song1 = songs.getName();
				}
				else{
					song1 = null;
				}
				if (numfile > 1){
					if (Options.isOnline()){
						songs = dbsongs.getSongNumber(numfile-1);
					}
					else{
						songs = filesongs.getSongNumber(numfile-1);
					}
	    			song2 = songs.getName();
	    		}
	    		else{
	    			song2 = null;
	    		}
	    		if (numfile< maxsongs){
					if (Options.isOnline()){
						songs = dbsongs.getSongNumber(numfile+1);
					}
					else{
						songs = filesongs.getSongNumber(numfile+1);
					}
	    			song3 = songs.getName();
	    		}
    			else{
    				song3 = null;
    			}
	    		
	    		if (Options.isOnline()){
	    			scores = dbscores.getMaxScores(song1);
	    			maxscores = dbscores.getNumberScores(song1);
	    		}
	    		else{
	    			try{
	    				maxscores = filescores.getNumberScores(song1);
	    				scores = filescores.getMaxScores(song1);
		    		
	    			}
	    			catch(Exception e){
	    				System.out.println("No hay puntuaciones");
	    			}
	    		}
				
	    		
		}
		public void setmaxsongs(){
			
			if (Options.isOnline()){
				maxsongs = dbsongs.getNumberSongs();
			}
			else{
				maxsongs = filesongs.getNumberSongs();

			}
		}
		public int go(SDLSurface screen){
	
    		try{
	    	
				this.initsprites();
				this.initgame();
				
				this.setmaxsongs();
				
				this.updatesongs();
				//song = filebrowser.getfile("songs",numfile);
    			player.play(song1);

				//this.initsong(song);
    		}
    		catch(Exception e){
	
    		}
    		this.end = false;
			while (!this.end){
				
				try {
					this.draw(screen);
					this.keyboard(screen);
				} catch (Exception e) {
					// TODO Auto-generated catch block
					//e.printStackTrace();
				} 

			}
			return 0;
		}
	
}
